# Get the Trustap fee for a transaction

This returns the Trustap fee, in the `currency`'s smallest unit,
for a transaction involving goods with the supplied `amount`. See
[the Stripe
documentation](https://stripe.com/docs/currencies#zero-decimal)
for more details.

Endpoint: GET /v2/fees
Version: 2.0.1
Security: APIKey, OAuth2

## Query parameters:

  - `currency` (string, required)
    The currency that the `amount` is specified in.

  - `amount` (integer, required)
    The price of the goods being sold in this transaction, in
the `currency`'s smallest unit. For example, if a trading
card is being sold for $12.34 (with `currency` as `usd`),
then the request for the fees for this transaction would
be `/v2/fees?amount=1234&currency=usd`.

  - `amount_extra` (integer)
    Represents an additional charge to be paid by the buyer added
to the transaction total. Use this field to include costs like
processing fees or local taxes.
Must be an integer provided in the smallest unit of the currency
(for example, 500 for $5.00 USD). Defaults to 0 if not provided.

  - `amount_postage` (integer)
    Represents an additional charge to be paid by the buyer, seller or client.
Use this field to include costs like shipping surcharges.
Must be an integer provided in the smallest unit of the currency
(for example, 500 for $5.00 USD).

  - `payment_method` (string)
    The payment method that will be used to pay for the
transaction. This is necessary because different payment
methods may result in different fees.
Supports `card` and `bank_transfer`.

The default value is `card`.

  - `fees_config` (integer)
    The fee config for which the fees are computed.

## Response 200 fields (application/json):

  - `buyer` (integer, required)

  - `config` (integer, required)

  - `seller` (integer, required)

## Response 400 fields (application/json):

  - `code` (string, required)
    * `unsupported_combination`: The provided payment method,
fee config and currency combination isn't supported.
    Enum: "currency_missing", "invalid_amount", "negative_amount", "amount_too_low", "unsupported_currency", "invalid_fee_config", "unsupported_combination"

  - `message` (string, required)

